# PetscViewerASCIIMonitorPrintf

Prints to the viewer associated with this monitor context

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerASCIIMonitorPrintf(PetscViewerASCIIMonitor ctx,const char format[],...)

Not Collective, but only first processor in set has any effect

### Input Parameters

| ctx | - the context obtained with PetscViewerASCIIMonitorCreate()
| format | - the usual printf() format string

Developer Notes: This code is virtually identical to PetscViewerASCIIPrintf(), however the code could not simply be called from here due to the var args.

### See Also

KSPMonitorSet(), SNESMonitorSet(), TSMonitorSet(), KSPMonitorDefault(), PetscViewerASCIIMonitor, PetscViewerASCIIMonitorCreate(),
PetscPrintf(), PetscFPrintf(), PetscViewerASCIIPrintf()

Level:developer
Location: src/sys/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages